<template>
  <div id="app">
    <h1>Rick&amp;Morty Autocomplete Demo</h1>

    <div class="demo">
      <div class="example">
        <h3>Reto Habitissimo</h3>
        <rick-morty-autocomplete
          label="Encuentra profesionales de confianza"
          placeholder="Qué necesitas..."
        />
      </div>
      <div class="example">
        <h3>Basic</h3>
        <rick-morty-autocomplete />
      </div>
      <div class="example">
        <h3>Custom label</h3>
        <rick-morty-autocomplete label="This is a custom label" />
      </div>
      <div class="example">
        <h3>Custom placeholder</h3>
        <rick-morty-autocomplete placeholder="This is a custom placeholder" />
      </div>
      <div class="example">
        <h3>Custom autocomplete max results</h3>
        <rick-morty-autocomplete max="12" placeholder="Max 12 results" />
      </div>
      <div class="example">
        <h3>Custom autocomplete minimmun characters</h3>
        <rick-morty-autocomplete
          chars="5"
          placeholder="Min 5 characters to trigger autocomplete"
        />
      </div>
      <div class="example">
        <h3>Custom autocomplete delay time</h3>
        <rick-morty-autocomplete delay="1000" placeholder="Delay of 1 second" />
      </div>
    </div>
  </div>
</template>

<script>
import RickMortyAutocomplete from "./components/RickMortyAutocomplete";
export default {
  name: "app",
  components: {
    RickMortyAutocomplete,
  },
};
</script>

<style>
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap");

h1 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  text-align: center;
}
h3 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
}
.demo {
  margin-bottom: 2em;
  width: 1200px;
  margin: 4em auto 0 auto;
  display: flex;
  flex-wrap: wrap;
}
.example {
  margin-bottom: 4em;
  width: 50%;
  padding: 0 1rem;
  box-sizing: border-box;
}
</style>